Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# TNaming_NameType.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations
enum | TNaming_NameType { TNaming_UNKNOWN, TNaming_IDENTITY, TNaming_MODIFUNTIL, TNaming_GENERATION, TNaming_INTERSECTION, TNaming_UNION, TNaming_SUBSTRACTION, TNaming_CONSTSHAPE, TNaming_FILTERBYNEIGHBOURGS }
| classes to store selected shape (involve naming algorithm) ========================================================= //! to store naming characteristcs More...

## Enumeration Type Documentation

enum TNaming_NameType

  | Enumeration values:
  TNaming_UNKNOWN |
  TNaming_IDENTITY |
  TNaming_MODIFUNTIL |
  TNaming_GENERATION |
  TNaming_INTERSECTION |
  TNaming_UNION |
  TNaming_SUBSTRACTION |
  TNaming_CONSTSHAPE |
  TNaming_FILTERBYNEIGHBOURGS |